<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Update wishlist</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>

<form th:method="PATCH" th:action="@{/fridge/{id}(id=${fridge.getId()})}" th:object="${fridge}">
    <label for="product">Product: </label>

    <select th:field="*{product}" id="product">
        <option th:each="product : ${product}" th:value="${product.getId()}" th:text="${product.getName() + ' (' + product.getMeasure() + ')' }">
        </option>
    </select>
    <div style="color:red" th:if="${#fields.hasErrors('product')}" th:errors="*{product}">Product Error</div>
    <br/>

    <label for="name">Amount: </label>
    <input type="text" th:field="*{amount}" id="name"/>
    <div style="color:red" th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}">Amount Error</div>
    <br/>

    <input type="submit" value="Save"/>
</form>

<div th:if="${fridge.getId()}">
    <form th:method="DELETE" th:action="@{/fridge/{id}(id=${fridge.getId()})}">
        <input type="submit" value="Delete"/>
    </form>
</div>

</body>
</html>